# GameConfiguration

## Properties

---
### engineName
Engine name, like `doom`, `boom`, `zdoom` etc. Used for the namespace in UDMF maps. Read-only.

---
### hasLocalSidedefTextureOffsets
If the game configuration supports local sidedef texture offsets (distinct offsets for upper, middle, and lower sidedef parts).
